%define realname   mga-mirrors

Name:       %{realname}
Version:    0.06
Release:    %mkrel 7
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Mageia Mirrors management
Source:     %{realname}-%{version}.tar.gz
Url:        http://mirrors.mageia.org/
BuildArch:  noarch

BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Devel)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Catalyst::View::GraphViz)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Static::Simple)
BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(DBD::Pg)
BuildRequires: perl(Mail::Mailer)
BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(Catalyst::Plugin::Session::Store::FastMmap)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(Config::General)
# (blino) for Catalyst::Plugin::Session::Store::FastMmap and Catalyst::Plugin::Prototype on Mandriva 2010.1
BuildRequires: perl(Class::Data::Inheritable)

Requires: perl(Catalyst::Plugin::Session::State::Cookie)
Requires: perl(Catalyst::Plugin::Session::Store::FastMmap)
Requires: perl(Catalyst::Plugin::Session)
Requires: perl(Catalyst::Plugin::Session::Store::DBI)
Requires: perl(Catalyst::Action::RenderView)
Requires: perl(Catalyst::View::TT)
Requires: perl(Catalyst::View::GraphViz)
Requires: perl(Catalyst::Plugin::ConfigLoader)
Requires: perl(Catalyst::Plugin::Static::Simple)
Requires: perl(Catalyst::Plugin::Prototype)
Requires: perl(DBD::Pg)

%description
Mageia Mirrors management

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%if 0
%check
make test
%endif

%install
%makeinstall_std

mkdir -p %{buildroot}%_sysconfdir
install mga-mirrors.ini.in %{buildroot}%_sysconfdir/mga-mirrors.ini

mkdir -p %{buildroot}%_var/www/cgi-bin
install script/mga_mirrors_cgi.pl %{buildroot}%_var/www/cgi-bin/mga_mirrors_cgi.pl

%files
%doc Changes README
%attr(0640,root,apache) %config(noreplace) %_sysconfdir/mga-mirrors.ini
%_sysconfdir/cron.d/mga_mirrors
%_bindir/*
%_var/www/cgi-bin/mga_mirrors_cgi.pl
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.06-7.mga6
+ Revision: 1022159
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.06-6.mga6
+ Revision: 938958
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.06-5.mga5
+ Revision: 747879
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.06-4.mga5
+ Revision: 682375
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.06-3.mga4
+ Revision: 522013
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 umeabot <umeabot> 0.06-2.mga3
+ Revision: 394547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 21 2011 blino <blino> 0.06-1.mga1
+ Revision: 75367
- 0.06
- remove patch from upstream svn, included in new version

* Mon Mar 21 2011 blino <blino> 0.05-2.mga1
+ Revision: 75362
- add patch from SVN to allow an older Catalyst version
- add missing BR as workaround to be able to build on Mandriva 2010.1

  + nanardon <nanardon>
    - buildrequire Config::General

* Sun Mar 20 2011 nanardon <nanardon> 0.05-1.mga1
+ Revision: 74672
- fix buildrequires
- fix file list
- 0.05

* Sat Mar 19 2011 nanardon <nanardon> 0.04-1.mga1
+ Revision: 74471
- fix url
- imported package mga-mirrors

